<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jgroups.stack.relay.relay.RELAY2.remote-site">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="channel,stack-feature,cluster"/>
        <elem name="op-params-mapping" value="channel,stack,cluster"/>
        <elem name="addr-params" value="profile,subsystem,stack,relay,remote-site"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.jgroups.remote-site.$stack.$remote-site"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-source.$channel"/>
    </requires>
    <refs>
        <ref feature="subsystem.jgroups.stack.relay.relay.RELAY2"/>
        <ref feature="subsystem.jgroups.stack"/>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cluster" nillable="true"/>
        <param name="stack" feature-id="true"/>
        <param name="relay" feature-id="true" default="relay.RELAY2"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="channel"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="stack-feature" nillable="true"/>
        <param name="remote-site" feature-id="true"/>
    </params>
</feature-spec>